device_type: "qemu"

job_name: "tuxrun@qemu-mips32: kunit"
priority: "medium"
visibility: "public"

context:
    arch: "mips"
    machine: "malta"
    cpu: "mips32r6-generic"
    memory: "2G"
    extra_options: ["-no-reboot", ""]
    no_kvm: true
    no_network: true
timeouts:
  job:
    minutes: 40
  action:
   minutes: 5
  actions:
    power-off:
      seconds: 30

actions:
- deploy:
    to: tmpfs
    timeout:
      minutes: 5
    os: oe
    images:
      kernel:
        image_arg: '-kernel {kernel} -append "console=ttyS0,115200 rootwait root=/dev/sda debug verbose console_msg_format=syslog earlycon"'
        url: "https://storage.tuxboot.com/buildroot/mips32/vmlinux"
      rootfs:
        image_arg: "-drive file={rootfs},if=ide,format=raw"
        url: "https://storage.tuxboot.com/buildroot/mips32/rootfs.ext4.zst"
        compression: zstd
        format: ext4
        overlays:
          lava: true
          modules:
            url: "https://example.com/modules.tar.xz"
            path: "/"
            format: tar
            compression: xz
          overlay-00:
            url: "http://example.com/overlay2.tar.xz"
            path: "/"
            format: tar
            compression: xz
- boot:
    method: qemu
    timeout:
      minutes: 15
    auto_login:
      login_prompt: 'login:'
      username: root
    prompts:
    - 'root@(.*):[/~]#'
- test:
    timeout:
      minutes: 20
    definitions:
    - repository: file://testdef.tar.zst
      lava-signal: kmsg
      from: url
      compression: zstd
      path: automated/linux/kunit/kunit.yaml
      name: kunit
      parameters:
        KUNIT_TEST_MODULE: "kunit-test.ko"
